/*
 * Copyright (C) 2006-2011 Schlichtherle IT Services
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package de.schlichtherle.truezip.crypto.raes;

/**
 * A marker interface for RAES parameters.
 * RAES files feature different <i>types</i> to model extensibility.
 * Each RAES type determines the algorithms and parameter types used
 * to encrypt and decrypt the pay load data in the RAES file.
 * Hence, for each RAES type a separate parameter interface is used
 * which extends this marker interface.
 * 
 * @see Type0RaesParameters
 * @author Christian Schlichtherle
 * @version $Id$
 */
public interface RaesParameters {
}
